using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsWorkCodeHolidayWorkType
    {
        public FmsWorkCodeHolidayWorkType()
        {
            FmsWorkSchedule = new HashSet<FmsWorkSchedule>();
        }

        [Key]
        public int SiteId { get; set; }
        [Key]
        public int HolidayWorkTypeId { get; set; }
        [StringLength(50)]
        public string Name { get; set; }
        public bool? IsUse { get; set; }

        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.FmsWorkCodeHolidayWorkType))]
        public virtual CmSite Site { get; set; }
        [InverseProperty("FmsWorkCodeHolidayWorkType")]
        public virtual ICollection<FmsWorkSchedule> FmsWorkSchedule { get; set; }
    }
}
